ggiSetGCClipping(3)

NAME
ggiSetGCClipping, ggiGetGCClipping : Set or get the clipping rectangle for a visual

SYNOPSIS
#include <ggi/ggi.h> int ggiSetGCClipping(ggi_visual_t vis, int left, int top,
                     int right, int bottom); int ggiGetGCClipping(ggi_visual_t vis, int *left, int *top,
                     int *right, int *bottom);

DESCRIPTION
ggiSetGCClipping sets the the current clipping rectangle to (left, top) - (right-1, bottom-1), inclusive. Initially the clipping rectangle is the whole virtual screen. All LibGGI drawing primitives obey the clipping rectangle. Negative coordinates given to LibGGI drawing functions will be clipped correctly. ggiGetGCClipping reads the coordinates of the current clipping rectangle.

RETURN VALUE
Both functions 0 for OK.